{% load alarme_utils %}

{% if form.sans_client and not form.instance.pk and not user.is_benevole %}
    <p><i>Pour les interventions en lien avec un client, allez sur la page des interventions du client concerné.</i></p>
{% endif %}

{% if form.instance.abonnement and not form.abonnement %}
    <div class="nomclient mb-2">Abonnement: <b>{{ form.instance.abonnement }}</b></div>
{% endif %}

{% if form.errors or form.formset.errors %}
<div class="alert alert-danger">
    Le formulaire soumis contient des erreurs, veuillez les corriger dans la page ci-dessous.
</div>
{% endif %}
{{ form.non_field_errors }}
<form id="standalone-form" method="post" enctype="multipart/form-data" action="{{ request.path }}">{% csrf_token %}
    {% for hidden in form.hidden_fields %}{{ hidden }}{% endfor %}

    {% if form.type_mission %}
    <div class="form-group mb-2">
        {{ form.type_mission.label_tag }} {{ form.type_mission }} {{ form.type_mission.errors }}
    </div>
    {% endif %}
    {% if form.description %}
    <div class="form-group mb-2">
        {{ form.description.label_tag }} {{ form.description }} {{ form.description.errors }}
    </div>
    {% endif %}

    {% if form.delai %}
    <div class="form-group mb-2">
        {{ form.delai.label_tag }} {{ form.delai }} {{ form.delai.errors }}
    </div>
    {% endif %}

    <div class="row mb-2">
      {% if form.planifiee %}
      <div class="col-md-6">
        <div class="form-group">
            {{ form.planifiee|label_with_class:"w-100" }} {{ form.planifiee }} {{ form.planifiee.errors }}
            {% if form.type_mission or form.instance.type_mission.code == 'NEW' or form.instance.type_mission.code == 'CHANGE' %}
            <div class="help">L’heure d’installation planifiée doit avoir été vérifiée dans l’agenda de la centrale.</div>
            {% endif %}
        </div>
      </div>
      {% endif %}
      {% if form.effectuee %}
      <div class="col-md-6">
        <div class="form-group">
            {{ form.effectuee|label_with_class:"w-100" }} {{ form.effectuee }} {{ form.effectuee.errors }}
        </div>
      </div>
      {% endif %}
    </div>

    {% if form.alarme_select %}
    <div class="row mb-2">
        <div class="col-lg-6 form-group">
            {{ form.alarme_select.label_tag }} {{ form.alarme_select }} {{ form.alarme_select.errors }}
        </div>
        {% if form.abonnement %}
        <div class="col-lg-6 form-group">
            {{ form.abonnement.label_tag }} {{ form.abonnement }} {{ form.abonnement.errors }}
        </div>
        {% endif %}
    </div>
    {% elif form.alarme in form.visible_fields %}
    <div class="row mb-2">
        <div class="col-lg-6 form-group">
            {{ form.alarme.label_tag }} {{ form.alarme }} {{ form.alarme.errors }}
        </div>
        {% if form.abonnement %}
        <div class="col-lg-6 form-group">
            {{ form.abonnement.label_tag }} {{ form.abonnement }} {{ form.abonnement.errors }}
        </div>
        {% endif %}
    </div>
    {% endif %}

    {% if form.benevole %}
    <div class="form-group mb-2">
        {{ form.benevole.label_tag }} {{ form.benevole }} {{ form.benevole.errors }}
    </div>
    {% endif %}
    {% if form.rapport %}
    <div class="form-group mb-2">
        {{ form.rapport.label_tag }} {{ form.rapport }} {{ form.rapport.errors }}
    </div>
    {% endif %}

    {% if form.duree_client or form.duree_seul %}
    <div class="row mb-2">
      {% if form.duree_client %}
      <div class="col-md-4">
        <div class="form-group">
            {{ form.duree_client.label_tag }} {{ form.duree_client }} {{ form.duree_client.errors }}
        </div>
      </div>
      {% endif %}
      {% if form.duree_seul %}
      <div class="col-md-4">
        <div class="form-group">
            {{ form.duree_seul.label_tag }} {{ form.duree_seul }} {{ form.duree_seul.errors }}
        </div>
      </div>
      {% endif %}
      <div class="col-md-4">
        <div class="form-group">
            {{ form.km.label_tag }} {{ form.km }} {{ form.km.errors }}
        </div>
      </div>
    </div>
    {% endif %}

    {% if form.formset is not None %}
    <fieldset id="frais_formset">
        <div>
            {{ form.formset.management_form.as_div }}
            {% for subform in form.formset %}
                <div class="border border-2 mt-2 p-3 rounded fset-line">
                {% for hidden in subform.hidden_fields %}{{ hidden }}{{ hidden.errors }}{% endfor %}
                {{ subform.non_field_errors }}
                <div class="row align-items-end">
                    <div class="col-sm-8">
                        {{ subform.descriptif.label_tag }} {{ subform.descriptif }}{{ subform.descriptif.errors }}
                    </div>
                    <div class="col-sm-4">
                        {{ subform.cout.label_tag }}
                        <div class="input-group">
                            {{ subform.cout }}
                            <div class="input-group-text">CHF</div>
                        </div>
                        {{ subform.cout.errors }}
                    </div>
                    <div>{{ subform.justif.label_tag }} {{ subform.justif }}{{ subform.justif.errors }}</div>
                    {% if subform.instance.pk %}
                    <div class="text-end">
                        <span class="delete-formset-link"><img src="{% static 'admin/img/icon-deletelink.svg' %}" title="Supprimer cette ligne de frais"></span>
                    </div>
                    {% endif %}
                </div>
                </div>
            {% endfor %}
            {% with subform=form.formset.empty_form %}
            <div class="border border-2 mt-3 p-3 rounded empty_form" hidden>
                {% for hidden in subform.hidden_fields %}{{ hidden }}{% endfor %}
                <div class="row align-items-end">
                    <div class="col-sm-8">{{ subform.descriptif.label_tag }} {{ subform.descriptif }}</div>
                    <div class="col-sm-4">
                        {{ subform.cout.label_tag }}
                        <div class="input-group">
                            {{ subform.cout }}
                            <div class="input-group-text">CHF</div>
                        </div>
                    </div>
                </div>
                <div>{{ subform.justif.label_tag }} {{ subform.justif }}</div>
            </div>
            {% endwith %}
        </div>
        <div class="text-end">
            <button type="button" class="btn btn-primary mt-3 add_more" title="Ajouter un autre coût">+</button>
        </div>
    </fieldset>
    {% endif %}
</form>
